Create a customer
curl --request POST \
--url https://api.example.com/api/v1/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "john@example.com",
"phone": "+2348012345678",
"first_name": "John",
"last_name": "Doe",
"metadata": {
"plan": "premium",
"region": "NG"
}
}
'import requests
url = "https://api.example.com/api/v1/customers"
payload = {
"email": "john@example.com",
"phone": "+2348012345678",
"first_name": "John",
"last_name": "Doe",
"metadata": {
"plan": "premium",
"region": "NG"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'john@example.com',
phone: '+2348012345678',
first_name: 'John',
last_name: 'Doe',
metadata: {plan: 'premium', region: 'NG'}
})
};
fetch('https://api.example.com/api/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"status": 400,
"message": "Validation failed.",
"timestamp": "2026-09-17T12:00:00.000Z",
"errors": [
"amount must not be less than 0"
]
}{
"success": false,
"status": 400,
"message": "Validation failed.",
"timestamp": "2026-09-17T12:00:00.000Z",
"errors": [
"amount must not be less than 0"
]
}{
"success": false,
"status": 400,
"message": "Validation failed.",
"timestamp": "2026-09-17T12:00:00.000Z",
"errors": [
"amount must not be less than 0"
]
}Customers
Create a customer
POST
/
api
/
v1
/
customers
Create a customer
Authorizations
API key for /api/v1/* endpoints
Body
application/json
Response
Customer created successfully.